com.ihr.xbrl.om.taxonomy

## Class XSDElementWildcard

- java.lang.Object
- - com.ihr.xbrl.om.taxonomy.XSDElementWildcard

- All Implemented Interfaces:
    XSDParticle

      public class XSDElementWildcard
      extends java.lang.Object
      implements XSDParticle

  The Class XSDElementWildcard.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSDElementWildcard(boolean allowsAny, java.util.Set<java.lang.String> allowedSet, java.util.Set<java.lang.String> disallowedSet, java.lang.String processContents)` See saxonica documentation about com.saxonica.schema.Wildcard

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateElement(org.jdom.Namespace xsNs)` Generates an XML representation of this particle.
    `java.util.Set<java.lang.String>` | `getAllowedNamespaces()` Gets the allowed namespaces.
    `java.util.Set<java.lang.String>` | `getDisallowedNamespace()` Gets the disallowed namespace.
    `int` | `getMaxoccurs()` Access to the value of the maxOccurs variable on this particle.
    `int` | `getMinoccurs()` Access to the value of the minOccurs variable on this particle.
    `java.lang.String` | `getProcessContents()` Gets the process contents.
    `boolean` | `isAllowsAny()` Checks if is allows any.
    `int` | `setMaxoccurs(int newValue)` Sets the value of the maxOccurs on this particle.
    `int` | `setMinoccurs(int newValue)` Sets the value of the minOccurs on this particle.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSDElementWildcard

          public XSDElementWildcard(boolean allowsAny,
                            java.util.Set<java.lang.String> allowedSet,
                            java.util.Set<java.lang.String> disallowedSet,
                            java.lang.String processContents)

      See saxonica documentation about com.saxonica.schema.Wildcard
      Parameters:
        `allowsAny` - the allows any
        `allowedSet` - the allowed set
        `disallowedSet` - the disallowed set
        `processContents` - the process contents

  - ### Method Detail

    - #### isAllowsAny

          public boolean isAllowsAny()

      Checks if is allows any.
      Returns:
        the allowsAny

    - #### getAllowedNamespaces

          public java.util.Set<java.lang.String> getAllowedNamespaces()

      Gets the allowed namespaces.
      Returns:
        the allowedNamespaces

    - #### getDisallowedNamespace

          public java.util.Set<java.lang.String> getDisallowedNamespace()

      Gets the disallowed namespace.
      Returns:
        the disallowedNamespace

    - #### getProcessContents

          public java.lang.String getProcessContents()

      Gets the process contents.
      Returns:
        the processContents

    - #### generateElement

          public org.jdom.Element generateElement(org.jdom.Namespace xsNs)
                                           throws XBRLSerializationException

      Description copied from interface: `XSDParticle`
      Generates an XML representation of this particle.
      Specified by:
        `generateElement` in interface `XSDParticle`
      Parameters:
        `xsNs` - namespace
      Returns:
        org.jdom.Element
      Throws:
        `XBRLSerializationException` - in case of problems

    - #### getMaxoccurs

          public int getMaxoccurs()

      Description copied from interface: `XSDParticle`
      Access to the value of the maxOccurs variable on this particle.
      Specified by:
        `getMaxoccurs` in interface `XSDParticle`
      Returns:
        integer or XSDComposition.UNBOUNDED

    - #### getMinoccurs

          public int getMinoccurs()

      Description copied from interface: `XSDParticle`
      Access to the value of the minOccurs variable on this particle.
      Specified by:
        `getMinoccurs` in interface `XSDParticle`
      Returns:
        integer

    - #### setMaxoccurs

          public int setMaxoccurs(int newValue)

      Description copied from interface: `XSDParticle`
      Sets the value of the maxOccurs on this particle.
      Specified by:
        `setMaxoccurs` in interface `XSDParticle`
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the maxOccurs variable

    - #### setMinoccurs

          public int setMinoccurs(int newValue)

      Description copied from interface: `XSDParticle`
      Sets the value of the minOccurs on this particle.
      Specified by:
        `setMinoccurs` in interface `XSDParticle`
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the minOccurs variable